Bug 128084 - ACPI: fans running too slow, Xeon-proc throttled because of heat
Summary: ACPI: fans running too slow, Xeon-proc throttled because of heat
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-17 09:11 UTC by Stefan Neufeind
Modified: 2015-01-04 22:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 05:01:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stefan Neufeind 2004-07-17 09:11:30 UTC
Description of problem:
It seems that there are problems with ACPI in the current kenrel 2.6. 
Under high load here a machine reports that the cpu-speed is 
throttled to avoid overheat. In the kernel.org-forums I read that 
this is a known kernel-bug?

Did somebody else experience this with FC2 yet? Is a fix in the 
works? Does anybody know of a quickfix, how I can set the fans 
statically to "full speed"?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Comment 1 Stefan Neufeind 2004-07-17 09:12:16 UTC
related bug on kernel.org:
http://bugzilla.kernel.org/show_bug.cgi?id=3008

Comment 2 K. Osuch 2004-07-30 12:09:37 UTC
I noticed that after upgrading my Compaq Presario 2800 (Intel Pentium
IV M) lap-top from Fedora Core1 to Core 2 the fan never switches off.
Previously, with Core 1 or Linux Redhat, the fan was switching off,
when I did not run heavier calculations, only
text editing etc. Can it be connected with the new kernel?


Comment 3 Stefan Neufeind 2004-07-30 12:28:43 UTC
I think it might be related. From what I've read so far fan-speed is 
a bit "borked". On a laptop you sure worry that they don't turn off / 
down. In my case it seems they are running, but not at full speed 
(what would be no problem on a server) - so under heavy calculations 
you have too few cooling :-(

Anybody knowssome "quick fix", at least to set the fans at a fixed 
(maybe full) speed?

Comment 4 K. Osuch 2004-08-02 10:21:50 UTC
Yes, The problem seems to be similar. In my notebook the fun runs all
the time at a slow speed. I never noticed it switching off or
accelerating to a higher speed. 

Comment 5 Morris Bannerman 2004-08-28 15:35:27 UTC
My presario, boots, runs for 15 mins then shuts down due to high
temperature(Bios message. The fan is not running at any time. On
rebooting the fan runs at high speed.

Comment 6 Stefan Neufeind 2005-02-27 16:58:09 UTC
Any news regarding this? Throttling still occurs from time to time ...

Comment 7 Dave Jones 2005-04-16 05:01:07 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.